<?php
/**
 * @package Post Cyclic Rotation
 */
/*
Plugin Name: Footer Post Cyclic Rotation
Plugin URI: https://wpsolutions.thelivebharat.com/footercyclicrotationcontent/
Description: Footer Post Cyclic Rotation is a powerful and easy to use WordPress Latest Post Rotation in footer plugin.
Version: 1.0.2
Author: Neelam Singh
Author URI: http://wpsolutions.thelivebharat.com
Text Domain: footercyclicrotationcontent
*/
if ( ! defined( 'ABSPATH' ) )
	exit;

if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

if ( !class_exists( 'rbypr_postratation' ) ) {
class rbypr_postratation {

	
	/**
	 * Initialize the plugin and register hooks
	 */
	public $fun = '';
	public function __construct() {

		// Common strings
		define( 'RBYPR_VERSION', '1.0.1' );
		define( 'RBYPR_PLUGIN_NAME', 'footercyclicrotationcontent' );
		define( 'RBYPR__MINIMUM_WP_VERSION', '4.0' );
		define( 'RBYPR__PLUGIN_DIR', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
		define( 'RBYPR_PLUGIN_URL', untrailingslashit( plugins_url( basename( plugin_dir_path( __FILE__ ) ), basename( __FILE__ ) ) ) );
		define( 'RBYPR_PLUGIN_FNAME', plugin_basename( __FILE__ ) );
		register_activation_hook( __FILE__, array($this,'rbypr_activation_init') );
		register_deactivation_hook(  __FILE__, array($this,'rbypr_uninstall_init'))	;	
		add_action('init', array($this,'app_output_buffer'));
		add_action( 'wp_enqueue_scripts', array( $this, 'rbypr_register_assets' ) );
		add_action( 'admin_enqueue_scripts', array( $this, 'rbypr_register_assets' ) );
		
		
		// Call Admin Functions
		require_once( RBYPR__PLUGIN_DIR . '/includes/admin_function.class.php');
		$this->fun = new rbyprAdminfunction();	
			
		
		// Call Admin Menu
		require_once( RBYPR__PLUGIN_DIR . '/includes/admin_menu.class.php' );
		 new rbyprAdminMenu();
		 
		 // Load the template functions which print the booking form, etc
		require_once( RBYPR__PLUGIN_DIR . '/includes/template-function.php' );		

	}
		function app_output_buffer() {
			ob_start();
		} // soi_output_buffer	

    function rbypr_activation_init(){
		global $wpdb;
		$charset_collate = $wpdb->get_charset_collate();
		$this->rbypr_plugin_activation();
		require_once( ABSPATH . 'wp-admin/includes/upgrade.php');
			$setDeft = $this->fun->rbypr_default_values('');
			add_option('rbypr_default',serialize($setDeft));
	}
	
	function rbypr_uninstall_init(){ 
		delete_option('rbypr_default');
	}
	
	function rbypr_plugin_activation() {
	global $wp_version;

	$php = '5.6';
	if ( version_compare( PHP_VERSION, $php, '<' ) ) {
		deactivate_plugins( basename( __FILE__ ) );
		wp_die(
			'<p>' .
			sprintf(
				__( 'This plugin can not be activated because it requires a PHP version greater than %1$s. Your PHP version can be updated by your hosting company.', 'my_plugin' ),
				$php
			)
			. '</p> <a href="' . admin_url( 'plugins.php' ) . '">' . __( 'go back', 'my_plugin' ) . '</a>'
		);
	}
}
		
	function rbypr_register_assets() {		
		wp_enqueue_style( 'rbypr-default', RBYPR_PLUGIN_URL . '/assets/css/rbyrotation.css','', '', 'screen' );
		//wp_enqueue_script( 'rbypr-jquery-js',RBYPR_PLUGIN_URL. '/assets/js/rbyrotation.js' ,array( 'jquery'),'1.12.5', 'screen');	
	}
 }
	
}
global $rybpr_controller;
$rybpr_controller = new rbypr_postratation();	
?>
